Subject: Re: bug#38367: 26.3; Cannot start Emacs with -nw option, starting with Emacs 26.1

From: Tomas Nordin <[email-masked]>
Date: Sat, 07 Dec 2019 19:22:38 +0100

Juanma Barranquero <[email-masked]> writes:

> On Tue, Nov 26, 2019 at 10:33 AM martin rudalics <[email-masked]> wrote:
>
>> This is a nice summary.  Couldn't we add it somewhere to nt/README?
>
> I think it would add confusion. If anything, perhaps nt/README should be a
> bit more specific about what to do if the user wants to run a console emacs.
> Currently it just says:
>
>   + emacs.exe - The main Emacs executable.  As this is designed to run
>     as both a text-mode application (emacs -nw) and as a GUI application,
>     it will pop up a command prompt window if run directly from Explorer.
>
>   + runemacs.exe - A wrapper for running Emacs as a GUI application
>     without popping up a command prompt window.  If you create a
>     desktop shortcut for invoking Emacs, make it point to this
>     executable, not to emacs.exe.

Which is to the point and just fine, isn't it? Possibly consider
changing "text-mode" to "command prompt" since that wording is used
later in the sentence (in the first bullet).

diff --git a/nt/README b/nt/README
index de68162131..aa5be96f56 100644
--- a/nt/README
+++ b/nt/README
@@ -26,8 +26,9 @@
   files in the bin directory.
 
   + emacs.exe - The main Emacs executable.  As this is designed to run
-    as both a text-mode application (emacs -nw) and as a GUI application,
-    it will pop up a command prompt window if run directly from Explorer.
+    as both a command prompt application (emacs -nw) and as a GUI
+    application, it will pop up a command prompt window as well, if run
+    directly from Explorer.
 
   + runemacs.exe - A wrapper for running Emacs as a GUI application
     without popping up a command prompt window.  If you create a

Best regards
--
Tomas